linux-armadaxp: 3.2.0-1615.22 -proposed tracker

Bug #1130363 reported by Brad Figg on 2013-02-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Registry Administrators
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Ike Panhc
Verification-testing
Medium
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Unassigned
Precise
Undecided
Ike Panhc

Bug Description

This bug is for tracking the 3.2.0-1615.22 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 19. February 2013 21:05 UTC
kernel-stable-master-bug:1130044
kernel-stable-Certification-testing-end:Tuesday, 19. February 2013 22:06 UTC
kernel-stable-Security-signoff-end:Tuesday, 19. February 2013 22:06 UTC
kernel-stable-Prepare-package-end:Wednesday, 20. February 2013 19:05 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 20. February 2013 19:05 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 20. February 2013 21:08 UTC
kernel-stable-Verification-testing-start:Wednesday, 20. February 2013 23:06 UTC
kernel-stable-Verification-testing-end:Thursday, 21. February 2013 05:05 UTC
kernel-stable-Promote-to-updates-end:Friday, 22. February 2013 00:07 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 22. February 2013 01:11 UTC

CVE References

This tracking bug was opened to be worked from linux-3.2.0-38.61 update (bug 1130044)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: precise
Changed in kernel-sru-workflow:
importance: Undecided → Medium
status: New → In Progress
Changed in linux-armadaxp (Ubuntu):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-02-19
description: updated
Ike Panhc (ikepanhc) on 2013-02-20
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux-armadaxp (Ubuntu):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Precise):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Ike Panhc (ikepanhc) on 2013-02-20
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.2.0-1615.22 -proposed tracker
description: updated
Luis Henriques (henrix) wrote :

Exceptionally, we're not waiting for the regression testing this cycle.

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Brad Figg (brad-figg) on 2013-02-20
description: updated
Brad Figg (brad-figg) on 2013-02-20
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2013-02-21
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-armadaxp - 3.2.0-1615.22

---------------
linux-armadaxp (3.2.0-1615.22) precise-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1130363
  * Rebase onto Ubuntu-3.2.0-38.61

  [ Ubuntu: 3.2.0-38.61 ]

  * Release Tracking Bug
    - LP: #1130044
  * ptrace: introduce signal_wake_up_state() and ptrace_signal_wake_up()
    - LP: #1129192
    - CVE-2013-0871
  * ptrace: ensure arch_ptrace/ptrace_request can never race with SIGKILL
    - LP: #1129192
    - CVE-2013-0871
  * wake_up_process() should be never used to wakeup a TASK_STOPPED/TRACED
    task
    - LP: #1129192
    - CVE-2013-0871
 -- Ike Panhc <email address hidden> Wed, 20 Feb 2013 14:33:12 +0800

Changed in linux-armadaxp (Ubuntu Precise):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2013-02-22
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers